
From: William Lee Irwin III <wli@holomorphy.com>

 * Check __HAVE_THREAD_FUNCTIONS in include/linux/thread_info.h (m68k)
This fixes the build on m68k; its thread_info functions need to be used.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/thread_info.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN include/linux/thread_info.h~fix-thread_infoh-ignoring-__have_thread_functions include/linux/thread_info.h
--- 25/include/linux/thread_info.h~fix-thread_infoh-ignoring-__have_thread_functions	2004-06-13 21:29:46.978709672 -0700
+++ 25-akpm/include/linux/thread_info.h	2004-06-13 21:29:46.982709064 -0700
@@ -21,6 +21,7 @@ extern long do_no_restart_syscall(struct
 #include <asm/thread_info.h>
 
 #ifdef __KERNEL__
+#ifndef __HAVE_THREAD_FUNCTIONS
 
 /*
  * flag set/clear/test wrappers
@@ -87,6 +88,7 @@ static inline void clear_need_resched(vo
 	clear_thread_flag(TIF_NEED_RESCHED);
 }
 
-#endif
+#endif	/* __HAVE_THREAD_FUNCTIONS */
+#endif	/* __KERNEL__ */
 
 #endif /* _LINUX_THREAD_INFO_H */
_
